Ubuntu

[iOS 5] Unhandled Lockdown error (-15)

Reported by Sameer Morar on 2011-10-18
384
This bug affects 74 people
Affects Status Importance Assigned to Milestone
libgpod (Ubuntu)
Undecided
Unassigned
libimobiledevice (Ubuntu)
Medium
Unassigned
libplist (Ubuntu)
Undecided
Unassigned
upower (Ubuntu)
Undecided
Unassigned

Bug Description

When I plug in my IPhone via USB, it does not get detected.
Upon unplugging the USB cable and re-plugging it into the computer, I get a dialog stating the following:

"Unable to mount Sameers iPhone
Unhandled Lockdown error (-15)"

Upon further investigation, the following lines appear in the syslog:
Oct 18 23:33:22 localhost kernel: [ 360.084141] usb 1-6: new high speed USB device number 6 using ehci_hcd
Oct 18 23:33:22 localhost kernel: [ 360.727114] ipheth 1-6:4.2: Apple iPhone USB Ethernet device attached
Oct 18 23:33:25 localhost NetworkManager[929]: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6:4.2/net/eth1, iface: eth1)
Oct 18 23:33:25 localhost NetworkManager[929]: SCPlugin-Ifupdown: device added (path: /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6:4.2/net/eth1, iface: eth1): no ifupdown configuration found.
Oct 18 23:33:26 localhost NetworkManager[929]: <error> [1318944807.1244] [nm-device-ethernet.c:752] real_update_permanent_hw_address(): (eth1): unable to read permanent MAC address (error 0)
Oct 18 23:33:27 localhost NetworkManager[929]: <info> (eth1): carrier is OFF
Oct 18 23:33:27 localhost NetworkManager[929]: <info> (eth1): new Ethernet device (driver: 'ipheth' ifindex: 5)
Oct 18 23:33:27 localhost NetworkManager[929]: <info> (eth1): exported as /org/freedesktop/NetworkManager/Devices/2
Oct 18 23:33:28 localhost NetworkManager[929]: <info> (eth1): now managed
Oct 18 23:33:28 localhost NetworkManager[929]: <info> (eth1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Oct 18 23:33:28 localhost NetworkManager[929]: <info> (eth1): bringing up device.
Oct 18 23:33:28 localhost kernel: [ 365.855564] ADDRCONF(NETDEV_UP): eth1: link is not ready
Oct 18 23:33:28 localhost NetworkManager[929]: <info> (eth1): preparing device.
Oct 18 23:33:28 localhost NetworkManager[929]: <info> (eth1): deactivating device (reason 'managed') [2]
Oct 18 23:33:28 localhost kernel: [ 366.285966] upowerd[1510]: segfault at 3910 ip 0020afb4 sp bff5e9bc error 4 in libplist.so.1.1.6[209000+9000]
Oct 18 23:33:28 localhost kernel: [ 366.502205] iphone-set-info[2768]: segfault at 0 ip 001a79d6 sp bf98f97c error 4 in libc-2.13.so[12b000+176000]

Note that a segfault is registered from upowerd and iphone-set-info.

My IPhone is a 3GS, running the release version of iOS 5.
This issue was not present before I upgraded the phone's firmware.

I do not know how to attach gdb to obtain a relevant backtraces as upowerd is invoked by upower and iphone-set-info is invoked by udev.

I am running Oneiric, with the following relevant packages:
upower:
  Installed: 0.9.13-1
  Candidate: 0.9.13-1
  Version table:
 *** 0.9.13-1 0
        500 http://au.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages
        100 /var/lib/dpkg/status
libplist1:
  Installed: 1.6-2
  Candidate: 1.6-2
  Version table:
 *** 1.6-2 0
        500 http://au.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages
        100 /var/lib/dpkg/status
libgpod4:
  Installed: 0.8.0-3build1
  Candidate: 0.8.0-3build1
  Version table:
 *** 0.8.0-3build1 0
        500 http://au.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages
        100 /var/lib/dpkg/status
libimobiledevice2:
  Installed: 1.1.1-1ubuntu1
  Candidate: 1.1.1-1ubuntu1
  Version table:
 *** 1.1.1-1ubuntu1 0
        900 http://au.archive.ubuntu.com/ubuntu/ oneiric-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1.1.1-1 0
        500 http://au.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages
---
ApportVersion: 1.23-0ubuntu3
Architecture: i386
DistroRelease: Ubuntu 11.10
Package: upower 0.9.13-1
PackageArchitecture: i386
ProcEnviron:
 PATH=(custom, user)
 LANG=en_ZA.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Tags: oneiric running-unity
Uname: Linux 3.0.0-12-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Sameer Morar (smorar) on 2011-10-18
affects: ubuntu → upower (Ubuntu)
affects: upower (Ubuntu) → libplist (Ubuntu)
Sameer Morar (smorar) on 2011-10-18
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libgpod (Ubuntu):
status: New → Confirmed
Changed in libplist (Ubuntu):
status: New → Confirmed
Changed in upower (Ubuntu):
status: New → Confirmed
Sameer Morar (smorar) wrote :

On a different computer, the segfault happens immediately for me.

This problem also affects iPad 2 on iOS 5

anyone had any luck on this one yet?

Sameer Morar (smorar) on 2011-10-20
summary: - Unhandled Lockdown error (-15) when inserting an IPhone 3GS with iOS 5
+ [iOS 5] Unhandled Lockdown error (-15)

apport information

tags: added: apport-collected oneiric running-unity
description: updated
Sameer Morar (smorar) wrote :

I have reported 2 apport crash reports as bug 878616 for the iphone-set-info crash and bug 878611 for the upowerd crash.

Shaun Burch (shazbot) wrote :

Experiencing same issue with an iPhone4 (iOS 5.0).
Issue was not present in 11.04 with iOS 5. (Ubuntu version I was using when I upgraded iOS)

Running Oneiric.
3.0.0-12-generic-pae #20-Ubuntu SMP i686 i686 i386
UPower client version 0.9.13.

I am new to this so not sure how to get versions of the lib files but would like to help however I can.
Please advise if you need anything else.

10111 (joachim-neu) wrote :

It's an iPad 1 iOS 5 Ubuntu 11.10 here that's showing this symptoms.

Jonathan M. Prigot (jprigot) wrote :

This also occurs with my iPod Touch 4G and iOS 5. The lines logged in syslog are:

Oct 29 19:52:49 flyingpenguin kernel: [ 316.301342] usb 2-1: USB disconnect, device number 2
Oct 29 19:52:59 flyingpenguin kernel: [ 325.572091] usb 2-1: new high speed USB device number 3 using ehci_hcd
Oct 29 19:52:59 flyingpenguin mtp-probe: checking bus 2, device 3: "/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-1"
Oct 29 19:52:59 flyingpenguin mtp-probe: bus: 2, device: 3 was not an MTP device

Tomek Bury (tomek-bury) wrote :

The segfault is an obvious bug to solve. Until then the wworkaround that worked for me can be found here:

http://ubuntuforums.org/showpost.php?p=11350062&postcount=2

It boils down to the unpair-pair sequence:

sudo apt-get install libimobiledevice-utils
idevicepair unpair && idevicepair pair

zelegolas (zelegolas) wrote :

this command:
sudo apt-get install libimobiledevice-utils
idevicepair unpair && idevicepair pair

Doesn't work for me. Stay with "Unhandled Lockdown error (-15)"

I plugged my iPhone 4 (IOS 5) into my USB (Oneiric) and got the "Unhandled Lockdown error (-15)".

I clicked "OK" to close the error.

In a terminal, I typed "idevicepair unpair" and pressed Enter.
The computer responded that the unpair had been successful.

I unplugged the iPhone and then re-plugged it into the USB.

It mounted successfully for the first time since I upgraded to IOS 5 and Oneiric.

I am a happy boy.

John Artman (john-b-artman) wrote :

This worked for me as well. If anything changes, I will post here.... If not, assume that in the next connection/OS boot it still works

sudo apt-get install libimobiledevice-utils
idevicepair unpair && idevicepair pair

worked for me on second try - thx for this

Lunique (lunique) wrote :

"sudo apt-get install libimobiledevice-utils
idevicepair unpair && idevicepair pair"

For me work as well after reboot but when trying to impor foto from iphone with shotwell i got this error:
"Shotwell
No se puede bloquear la cámara: Error no especificado (-1)"
cannot lock the camera:error not specified -1

MarioRP (mariorp) wrote :

Las posibles soluciones deberian ser automaticas al momento de liberar ubuntu, no es posible que funcione bien en la version anterior 11.04, y al cambiarse a 11.10 no sirva.

Stephan Müller (megandy) wrote :

The solution:
idevicepair unpair && idevicepair pair
and variation of it described above don't work for me. I'm using 11.04

victorairway (michaelspencer2) wrote :

The solution:
idevicepair unpair && idevicepair pair
and variation of it described above don't work for me either. I'm using 11.10 though

Alan Pope ㋛ (popey) wrote :

I had some success with this by deleting the contents of ~/.config/libimobiledevice and then reconnecting the device.

Matt Marsh (marshmn) wrote :

I seemed to have better success when my iphone was unlocked (I mean that actually on the iphone I unlocked it from the lock screen before connecting the device).

Michael Zeltner (mzeltner) wrote :

Matt, that did it for me. Unlocked screen then unpair && pair, plug out plug in, mounted! Thanks!

(iOS 5.0.1, 11.10)

Tobi Blank (tobiblank) wrote :

Same as Matt and Michael. Works for me.
(iOS 5.0.1 and 11.10)

Avik Topchyan (topchyan) wrote :

Matt, unlocking the phone first definitely makes the difference when running idevicepair unpair && idevicepair pair commands.
Thanks! I'm on 11.10 and iPhone 3GS with iOS 5.0.1

John Artman (john-b-artman) wrote :

It works with my iPod and iOS 5. But when my virtual box instance of Windows XP SP3 doesn't detect that its available. Any hints or links to other bug reports?

Cheers

John

Paulo (pauloerweber) wrote :

The unpair/pair commands worked on my iPad 1st Gen. Later to the commands, I removed ~/.config/libimobiledevice, rebooted the PC and only then connected the iPad (unlocked) on USB. After that, Ubuntu 11.10 was able to mount the iPad, even locked.

almadana (almadana) wrote :

sudo apt-get install libimobiledevice-utils
idevicepair unpair && idevicepair pair

it works for my iPod touch 3g on iOS 5.0.1

running kubuntu oneiric, I previously could see the stored pictures, but now I can load music on it with amarok!!

Thanks!

Álvaro

GuyS (guy-stalnaker) wrote :

New upgrade to oneiric. idevice_id correctly identifies device ID as "JimmyG's iPhone" and if I plug the iPhone4 (iOS 5) in with it in a locked state I get a dialog telling me that it is locked and should be unlocked. The instant I unlock it, I get the "unhandled lockdown error -4" immediately. idevicepair unpair/pair does not work. I get the "QueryType failed, error code -256" error. So, idevice is communicating with the device, as is the OS for I see other information collected; e.g. in the syslog are multiple entries regarding the iPhone as a USB eth device:

<quote>
Nov 27 02:05:06 Hollin kernel: [ 191.336497] usb 1-1.4.2: new high speed USB device number 13 using ehci_hcd
Nov 27 02:05:06 Hollin kernel: [ 191.441063] ipheth 1-1.4.2:4.2: Apple iPhone USB Ethernet device attached
Nov 27 02:05:06 Hollin NetworkManager[1153]: SCPlugin-Ifupdown: devices added (path: /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4.2/1-1.4.2:4.2/net/eth1, iface: eth1)
Nov 27 02:05:06 Hollin NetworkManager[1153]: SCPlugin-Ifupdown: device added (path: /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4.2/1-1.4.2:4.2/net/eth1, iface: eth1): no ifupdown configuration found.
Nov 27 02:05:06 Hollin NetworkManager[1153]: <error> [1322381106.571198] [nm-device-ethernet.c:752] real_update_permanent_hw_address(): (eth1): unable to read permanent MAC address (error 0)
Nov 27 02:05:06 Hollin NetworkManager[1153]: <info> (eth1): carrier is OFF
Nov 27 02:05:06 Hollin NetworkManager[1153]: <info> (eth1): new Ethernet device (driver: 'ipheth' ifindex: 4)
Nov 27 02:05:06 Hollin NetworkManager[1153]: <info> (eth1): exported as /org/freedesktop/NetworkManager/Devices/1
Nov 27 02:05:06 Hollin NetworkManager[1153]: <info> (eth1): now managed
Nov 27 02:05:06 Hollin NetworkManager[1153]: <info> (eth1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Nov 27 02:05:06 Hollin NetworkManager[1153]: <info> (eth1): bringing up device.
Nov 27 02:05:06 Hollin NetworkManager[1153]: <info> (eth1): preparing device.
Nov 27 02:05:06 Hollin NetworkManager[1153]: <info> (eth1): deactivating device (reason 'managed') [2]
Nov 27 02:05:06 Hollin kernel: [ 191.462371] ADDRCONF(NETDEV_UP): eth1: link is not ready
</quote>

So, again, there is significant communication between device and computer, but the damned lockdown error persists no matter what I attempt.

I'm quite willing to support any effort to trouble-shoot/debug this issue, if someone will provice guidance on what I can provide to you. As I'm apparently not alone in seeing this -256 error (there are several reports on forums.ubuntu.com and forums.linuxmint.com and on this bug report).

This has been very, very frustrating. I saw so many reports that the latest libs in oneiric "solved" the issues that I today spent the hours necessary to backup and then upgrade to it. Only to have the exact (!!!!) same errors with oneiric that I had with natty.

SirPecanGum (sirpecangum) wrote :

11.10 with iPhone 3GS and same error. This works for me too:

idevicepair unpair && idevicepair pair

Unplug and plug in...

Thank you !

R. Drew Davis (drewclist) wrote :

The pair/unpair suggestion didn't work for me, but comment 26's suggestion to be sure to enter your pin to unlock your device before you plug it into the USB port did the trick for me. I'm running 10.10 Ubuntu and have an iPod Touch.

WeatherGod (ben-v-root) wrote :

Moving the ~/.config/libimobiledevice folder *and* doing the unpair/pair *and* unlocking the phone before replugging the ipod touch 4 (iOS 5.0.1) worked for me on 11.10.

drkitty (cat-psychology) wrote :

John Byrne's solution worked for me. Unpair device, unplug iphone, replug iphone. Thanks!

John (human395234) wrote :

Following the advice of #20 seems to have fixed it for me (thanks Alan). I also tried installing libimobiledevice-utils and giving the command idevicepair, which returned 'command not found'. I am using ubuntu 10.04.

John (human395234) wrote :

Edit: My problem did not actually involve an error message notification. Simply, nothing happened when connecting my iphone 3gs.

Ken McLennan (ken054) wrote :

Using iPod Touch 8g with ios 5.01. Just changed from Xubuntu Oneiric to Mint 12. Didn't have this problem on Xubuntu (had others, but device was recognized), it's only appeared now using Gnome 3.

Dmesg gives:

[237373.841464] usb 2-1.1: new high speed USB device number 4 using ehci_hcd
[237375.693996] upowerd[1451]: segfault at 69 ip 006fa8e8 sp bf853720 error 4 in libplist.so.1.1.6[6f4000+9000]
[237375.767545] iphone-set-info[8686]: segfault at 0 ip 003d2cc6 sp bfbe0994 error 4 in libc-2.13.so[356000+176000]

I think first 2 lines at plug in, third was giving mount command through Nautilus.

I've little knowledge of programming or fault analysis so I'm not sure how I can help. I've tried swearing and cursing but that didn't change the result.

Ken McLennan (ken054) wrote :

After reading through ALL of the comments above (instead of the first 4 or 5) I installed libimobiledeviceutils and in a terminal found that "idevicepair pair" then allowed successful mounting. Subsequent umount/unplug then automounted when plugged back in. Seems that the utils may need to "pair" the device before it will work properly.

Falk (andreas-mockel) wrote :

I can confirm comment #36 by Ken McLennan.
First pair manually then mount works..

Sander Jonkers (jonkers) wrote :

The

   sudo apt-get install libimobiledevice-utils
   idevicepair unpair

works for me. Thank you.

BBerastegui (borjaberastegui) wrote :

Hey, try out unlocking the iphone first.

I think its the password lock or just the lock.

Unlock the iphone and "idevicepair unpair && idevicepair pair".

None of the solutions worked for me until I tried this.

Download full text (5.1 KiB)

bizarre but if I connect my phone while logged in under another profile on
my PC, it mounts the phone no problem

On Tue, Mar 6, 2012 at 8:13 PM, BBerastegui <email address hidden>wrote:

> Hey, try out unlocking the iphone first.
>
> I think its the password lock or just the lock.
>
> Unlock the iphone and "idevicepair unpair && idevicepair pair".
>
> None of the solutions worked for me until I tried this.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/877440
>
> Title:
> [iOS 5] Unhandled Lockdown error (-15)
>
> Status in “libgpod” package in Ubuntu:
> Confirmed
> Status in “libplist” package in Ubuntu:
> Confirmed
> Status in “upower” package in Ubuntu:
> Confirmed
>
> Bug description:
> When I plug in my IPhone via USB, it does not get detected.
> Upon unplugging the USB cable and re-plugging it into the computer, I get
> a dialog stating the following:
>
> "Unable to mount Sameers iPhone
> Unhandled Lockdown error (-15)"
>
> Upon further investigation, the following lines appear in the syslog:
> Oct 18 23:33:22 localhost kernel: [ 360.084141] usb 1-6: new high speed
> USB device number 6 using ehci_hcd
> Oct 18 23:33:22 localhost kernel: [ 360.727114] ipheth 1-6:4.2: Apple
> iPhone USB Ethernet device attached
> Oct 18 23:33:25 localhost NetworkManager[929]: SCPlugin-Ifupdown:
> devices added (path:
> /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6:4.2/net/eth1, iface: eth1)
> Oct 18 23:33:25 localhost NetworkManager[929]: SCPlugin-Ifupdown:
> device added (path:
> /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6:4.2/net/eth1, iface:
> eth1): no ifupdown configuration found.
> Oct 18 23:33:26 localhost NetworkManager[929]: <error> [1318944807.1244]
> [nm-device-ethernet.c:752] real_update_permanent_hw_address(): (eth1):
> unable to read permanent MAC address (error 0)
> Oct 18 23:33:27 localhost NetworkManager[929]: <info> (eth1): carrier is
> OFF
> Oct 18 23:33:27 localhost NetworkManager[929]: <info> (eth1): new
> Ethernet device (driver: 'ipheth' ifindex: 5)
> Oct 18 23:33:27 localhost NetworkManager[929]: <info> (eth1): exported as
> /org/freedesktop/NetworkManager/Devices/2
> Oct 18 23:33:28 localhost NetworkManager[929]: <info> (eth1): now managed
> Oct 18 23:33:28 localhost NetworkManager[929]: <info> (eth1): device
> state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
> Oct 18 23:33:28 localhost NetworkManager[929]: <info> (eth1): bringing up
> device.
> Oct 18 23:33:28 localhost kernel: [ 365.855564] ADDRCONF(NETDEV_UP):
> eth1: link is not ready
> Oct 18 23:33:28 localhost NetworkManager[929]: <info> (eth1): preparing
> device.
> Oct 18 23:33:28 localhost NetworkManager[929]: <info> (eth1):
> deactivating device (reason 'managed') [2]
> Oct 18 23:33:28 localhost kernel: [ 366.285966] upowerd[1510]: segfault
> at 3910 ip 0020afb4 sp bff5e9bc error 4 in libplist.so.1.1.6[209000+9000]
> Oct 18 23:33:28 localhost kernel: [ 366.502205] iphone-set-info[2768]:
> segfault at 0 ip 001a79d6 sp bf98f97c error 4 in libc-2.13.so
> [12b000+176000]
>
> Note that a segfault is registered from upowerd and ...

Read more...

Frank Fallon (kyosho) wrote :

The

   sudo apt-get install libimobiledevice-utils
   idevicepair unpair

works for me. Thank you.

However, now that the device (iPod Touch 4G, iOS 5) connects, I cannot delete any songs on it, nor will it let me copy any on to it. It actually uses up storage that I cannot access, even from iTunes.

sudo apt-get install libimobiledevice-utils
idevicepair unpair && idevicepair pair

Works for me, Ubuntu 11.04, iPad2 with iOS 5.1

Robert Hooker (sarvatt) wrote :
Changed in libimobiledevice (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Robert Hooker (sarvatt) wrote :
tags: added: patch

The attachment "libimobiledevice_1.1.1-3ubuntu1.debdiff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libimobiledevice - 1.1.1-3ubuntu1

---------------
libimobiledevice (1.1.1-3ubuntu1) precise; urgency=low

  * Add 06_git_ios5_handle_error.patch, backport from git commit
    e855f246b3 to allow mounting ios 5 devices. (LP: #877440)
 -- Robert Hooker <email address hidden> Sat, 10 Mar 2012 12:57:38 -0500

Changed in libimobiledevice (Ubuntu):
status: Triaged → Fix Released
Ruble (rubledaniel) wrote :

IPhone 4s os 5.1 (9B179)

idevicepair unpair && idevicepair pair
Unplug and plug in... While device unlocked. worked for me.
Thanks for all the help
Regards,
Ruble Daniel

iPod Touch (3th generation) w/ iOS 5.1.1 on Ubuntu 11.10

1. sudo apt-get install libimobiledevice-utils
2. remove ~/.config/libimobiledevice/
3. idevicepair unpair && idevicepair pair
4. unplug and plug in
5. done!

Worked for me [thanks for all]
--Ed

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers